> For the complete documentation index, see [llms.txt](https://docs.umbraco.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.umbraco.com/ai-in-umbraco/17.latest/management-api/settings.md).

# Settings

The Settings API allows you to configure system-wide defaults for Umbraco.AI.

## Endpoints

| Method | Endpoint                                                                                               | Description          |
| ------ | ------------------------------------------------------------------------------------------------------ | -------------------- |
| GET    | [`/umbraco/ai/management/api/v1/settings`](/ai-in-umbraco/17.latest/management-api/settings/get.md)    | Get current settings |
| PUT    | [`/umbraco/ai/management/api/v1/settings`](/ai-in-umbraco/17.latest/management-api/settings/update.md) | Update settings      |

## Base URL

```
/umbraco/ai/management/api/v1
```

## Settings Object

{% code title="Settings" %}

```json
{
    "id": "672bf83c-97e0-4d04-9d33-23fc2e5ebe42",
    "defaultChatProfileId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "defaultEmbeddingProfileId": "d290f1ee-6c54-4b01-90e6-d701748f0851",
    "dateCreated": "2024-01-01T00:00:00Z",
    "dateModified": "2024-01-20T14:45:00Z",
    "createdByUserId": null,
    "modifiedByUserId": "user-guid"
}
```

{% endcode %}

## Properties

| Property                    | Type     | Description                              |
| --------------------------- | -------- | ---------------------------------------- |
| `id`                        | guid     | Fixed settings identifier                |
| `defaultChatProfileId`      | guid     | Default profile for chat operations      |
| `defaultEmbeddingProfileId` | guid     | Default profile for embedding operations |
| `dateCreated`               | datetime | When settings were first created         |
| `dateModified`              | datetime | When settings were last modified         |
| `modifiedByUserId`          | guid     | User who last modified settings          |

{% hint style="info" %}
Settings use a fixed ID. There is always exactly one settings record.
{% endhint %}

## Related

* [Settings Concept](/ai-in-umbraco/17.latest/concepts/settings.md)
* [Managing Settings](/ai-in-umbraco/17.latest/backoffice/managing-settings.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.umbraco.com/ai-in-umbraco/17.latest/management-api/settings.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
